diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index e1222ce..1f24f81 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -35291,7 +35291,7 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
          if fnP ^= 1$Dpol
            then
              newInputPolys : L Dpol  := _
-               sort( degree #1 > degree #2 ,cons(fnP,inputPolys))
+               sort((x,y) +-> degree x > degree y ,cons(fnP,inputPolys))
              listOfBases := createGroebnerBases(basis, redPols, _
                nonZeroRestrictions,newInputPolys,lcP,listOfBases,info)
              -- update "nonZeroRestrictions"
@@ -35312,7 +35312,8 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
 
      --  we found a groebner basis and put it into the list "listOfBases"
      --  (auto)reduce each basis element modulo the others
-     newBasis := minGbasis(sort(degree #1 > degree #2,[p.pol for p in basis]))
+     newBasis := 
+       minGbasis(sort((x,y)+->degree x > degree y,[p.pol for p in basis]))
      -- now check whether the normalized basis again has reducible
      -- polynomials, in this case continue splitting!
      if info then
@@ -35325,7 +35326,7 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
 
    createAllFactors(p: Dpol) ==
      loF : L Dpol := [el.fctr for el in factorList factor(p)$MF]
-     sort(degree #1 < degree #2, loF)
+     sort((x,y) +-> degree x < degree y, loF)
    newPairs(lp : L sugarPol,p : Dpol) ==
      totdegreeOfp : NNI := virtualDegree p
      -- next list lcP contains all critPair constructed from
@@ -35362,12 +35363,12 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
 
    groebnerFactorize(basis, nonZeroRestrictions, info) ==
      basis = [] => [basis]
-     basis := remove(#1 = 0$Dpol,basis)
+     basis := remove((x:Dpol):Boolean +->(x = 0$Dpol),basis)
      basis = [] => [[0$Dpol]]
      -- normalize all input polynomial
      basis := [hMonic p for p in basis]
      member?(1$Dpol,basis) => [[1$Dpol]]
-     basis :=  sort(degree #1 > degree #2, basis)
+     basis :=  sort((x,y) +-> degree x > degree y, basis)
      createGroebnerBases([],[],nonZeroRestrictions,basis,[],[],info)
 
    groebnerFactorize(basis) == groebnerFactorize(basis, [], false)
diff --git a/changelog b/changelog
index 20f2a2c..bc7207c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090603 tpd src/axiom-website/patches.html 20090603.01.tpd.patch
+20090603 tpd books/bookvol10.4 GBF +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.04.tpd.patch
 20090602 tpd books/bookvol10.4 GOSPER +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index efca8d6..2d9c6f4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1425,5 +1425,7 @@ bookvol10.4 GENEEZ +-> conversion<br/>
 bookvol10.4 INTG0 +-> conversion<br/>
 <a href="patches/20090602.02.tpd.patch">20090602.04.tpd.patch</a>
 bookvol10.4 GOSPER +-> conversion<br/>
+<a href="patches/20090603.01.tpd.patch">20090603.01.tpd.patch</a>
+bookvol10.4 GBF +-> conversion<br/>
  </body>
 </html>
